User Configuration

Location: User Configuration\

Description:
Contains settings that may only be used to configure Users.

    ADM File: WMPlayer.adm


Windows Media Player

Location: User Configuration\Windows Components\Windows Media Player

Description:
Settings to configure and customize Windows Media Player.

  • User Interface
  • Playback
  • Networking

ADM File: WMPlayer.adm


User Interface

Location: User Configuration\Windows Components\Windows Media Player\User Interface

Description:
Settings that lock down Windows Media Player to a defined skin and hide the anchor window that appears when a skin is a used.

  • Set and Lock Skin
  • Do Not Show Anchor

ADM File: WMPlayer.adm


Set and Lock Skin

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\User Interface\

Description:
Enables the Windows Media Player to be shown only in skin mode, using a specified skin.

This policy displays the player only in skin mode using the skin specified in the Skin box on the Policy tab.

You must use the complete file name for the skin (for example, miniplayer.wmz). If the skin is not installed on a user's computer, or if the Skin box is blank, the Player opens using the default Windows Media Player skin.

A user has access only to the player features that are available with the specified skin. The user cannot switch the player to full mode and cannot choose a different skin.

When this policy is not configured or disabled, a user can display the player in full or skin mode and has access to all available features of the player.

ADM File: WMPlayer.adm


Do Not Show Anchor

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\User Interface\

Description:
Prevents the anchor window from being displayed when the Windows Media Player is in compact mode.

This policy hides the anchor window when the player is in compact mode. In addition, the option on the Player tab in the Options dialog box that enables users to choose whether the anchor window displays is not avaliable.

If this policy is not configured or disabled, the user can show or hide the anchor window when the player is in compact mode by using the Player tab in the Options dialog box.

When this policy is not configured and the Set and Lock Skin policy is enabled, some options in the anchor window are not available.

ADM File: WMPlayer.adm


Playback

Location: User Configuration\Windows Components\Windows Media Player\Playback

Description:
A setting that prevents codecs (compressor -decompressors ) from being automatically downloaded.

  • Prevent Codec Download

ADM File: WMPlayer.adm


Prevent Codec Download

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\Playback\

Description:
ERROR=(CodecDownload)

ADM File: WMPlayer.adm


Networking

Location: User Configuration\Windows Components\Windows Media Player\Networking

Description:
Settings that enable an administrator to select and configure protocols used for receiving streaming media, specify proxy settings for HTTP and MMS streams, and set the network buffering time for Windows Media Player.

  • Hide Network Tab
  • Streaming Media Protocols
  • Configure HTTP Proxy
  • Configure MMS Proxy
  • Configure Network Buffering

ADM File: WMPlayer.adm


Hide Network Tab

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Hide Network Tab

ADM File: WMPlayer.adm


Streaming Media Protocols

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies that the selected protocols are used when receiving streaming media from an mms:// URL.

This policy specifies that the protocols that are selected on the Policy tab can be used to receive streaming media from an mms:// URL. This policy also specifies that multicast streams can be received if the Multicast check box is selected.

For example, if this policy is enabled, and only the HTTP protocol is selected, the HTTP protocol is used to receive streaming media from an mms:// URL. Streaming media from an mms:// URL that requires the UDP or TCP protocols cannot be played.

If the UDP check box is selected on the Policy tab and the UDP Ports box is blank, the Player uses default ports when playing content from an mms:// URL. If the UDP check box is not selected, the information in the UDP Ports box is ignored.

If none of the protocols are selected when this policy is enabled, content from an mms:// URL cannot be played.

When this policy is enabled or disabled, the Protocols area of the Network tab in the Options dialog box is not available. If the Hide Network tab policy is enabled, the entire Network tab is hidden.

If this policy is disabled, the player cannot receive streaming media with an mms:// URL.

If it is necessary to control the kind of streaming media that is received, it is recommended that other methods, such as firewalls, be used.

ADM File: WMPlayer.adm


Configure HTTP Proxy

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies the HTTP proxy settings for the Windows Media Player.

When this policy is enabled, a proxy type (Autodetect, Browser, or Custom) must be selected. Autodetect means that the proxy settings are automatically detected. Browser means that the browser proxy settings are used.

If the Custom proxy type is selected, the rest of the options on the Policy tab must be specified, because no default settings are used for the proxy. The options are ignored if Autodetect or Browser is selected.

The Configure button on the Network tab in the Options dialog box is not available when this policy is enabled and the protocol cannot be configured in the player. If the Hide Network Tab policy is also enabled, the entire Network tab is hidden.

This policy is ignored if the Streaming Media Protocols policy is enabled and HTTP is not selected.

When this policy is not configured, the user can specify the HTTP proxy settings on the Network tab.

When this policy is disabled, the player cannot use the HTTP proxy and the user cannot change the HTTP proxy settings on the Network tab.

ADM File: WMPlayer.adm


Configure MMS Proxy

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies the MMS proxy settings for the Windows Media Player.

When this policy is enabled, a proxy type (Autodetect or Custom) must be selected. Autodetect means that the proxy settings are automatically detected. If the Custom proxy type is selected, the rest of the options on the Policy tab must be specified; otherwise, the default settings are used. The options are ignored if Autodetect is selected.

The Configure button on the Network tab in the Options dialog box is not available when this policy is enabled and the protocol cannot be configured in the player. If the Hide Network Tab policy is also enabled, the entire Network tab is hidden.

This policy is ignored if the Streaming Media Protocols policy is enabled and Multicast is not selected.

When this policy is not configured, the user can specify the MMS proxy settings on the Network tab.

When this policy is disabled, the MMS proxy cannot be used and the user cannot change the MMS proxy settings on the Network tab.

ADM File: WMPlayer.adm


Configure Network Buffering

Requirements: at least Windows Media Player v8.00

Location: User Configuration\Windows Components\Windows Media Player\Networking\

Description:
Specifies whether network buffering is done using the default or a specified number of seconds.

This policy specifies that the default network buffering is used or specifies the number of seconds streaming media is buffered before it is played.

If you select Custom on the Policy tab, you must also specify the number of seconds (up to 60) that streaming media is buffered. If Default is selected, the number of seconds that is specified is ignored.

The Use default buffering and Buffer options on the Performance tab in the Options dialog box are not available.

When this policy is not configured or disabled, the user can change the buffering options on the Performance tab.

ADM File: WMPlayer.adm


Administrative Templates Help

 Group Policy Admin Templates

Group Policy settings for Windows Media Player

ADM File: WMPlayer.adm

Welcome to the administrative template help for Group Policy. Also see the main Group Policy help.

  • User Configuration